Bug 1020670 - Display blanks briefly several times after waking display from sleep
Display blanks briefly several times after waking display from sleep
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mate-power-manager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 03:14 EDT by D. Wagner
Modified: 2013-12-01 04:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:10:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Wagner 2013-10-18 03:14:11 EDT
Description of problem:

When I wake the display up using keyboard or mouse, the display unblanks.  Then at some point during the next 10 seconds or so, it often re-blanks briefly and unblanks (possibly repeating that several times).  I only seem to see this happen after waking the display.  The extra blanking only happens for a second or two, and the screen does come back to life, so it's not a big deal -- just an annoyance.

I currently have my Power Management Preferences set to "Put display to sleep when inactive for: 10 minutes", "Put computer to sleep when inactive for: Never" (and I have not selected "Dim display when idle").

In Screensaver Preferences, I have not activated the screensaver ("Activate screensaver when computer is idle" is left unticked; "Regard the computer as idel after: 5 minutes" is set, but I presume this is ignored).


Version-Release number of selected component (if applicable):

mate-power-manager-1.6.2-4.fc19.x86_64


Steps to Reproduce:
1. Walk away from computer for more than 10 minutes.  Watch as display goes to sleep.
2. Walk back up to computer and start typing or moving the mouse
3. Watch as display wakes up and unblanks.
4. Keep typing.  Watch as display blanks, then unblanks, possibly a few times.
Comment 1 Wolfgang Ulbrich 2013-10-18 08:00:53 EDT
I tested it with the same setup like yours , with my MSI fx700
- screensaver is disabled
- "Put display to sleep when inactive for: 10 minutes"
- "Put computer to sleep when inactive for: Never"
- not selected "Dim display when idle"

Here i don't see this issue, so maybe it is hardware related.
Can you please do in a terminal
killall mate-power-manager
mate-power-manager --verbose
and attach the output here to see what's really going on?
Comment 2 Wolfgang Ulbrich 2013-11-20 12:38:12 EST
Could you please answer?

Note You need to log in before you can comment on or make changes to this bug.